---
title: "Withdraw one of the calling person’s open privacy requests"
description: "\n\n### Quire permissions\n\nCredential scopes: `me:write`.\n\nThe acting subject must also be allowed to perform this action in the organisation."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Quire API › me

`POST /me/data_requests/{id}/withdraw`

\### Quire permissions

Credential scopes: `me:write`.

The acting subject must also be allowed to perform this action in the organisation.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`, scopes: `me:write`
- `oauth2`, oauth2, scopes: `me:write`

## Path parameters

- `withdrawMyDataRequest.path.id` (string, required)

## Header parameters

- `withdrawMyDataRequest.header.Quire-Version` (string, optional) — The dated API revision to serve this request at. Omitted, the request is served at the revision the credential was issued against. The response echoes the revision actually applied.
  - format `date`
- `withdrawMyDataRequest.header.Idempotency-Key` (string, optional) — A caller-chosen key making this request safe to retry. A replay of a completed request returns the recorded response with `Idempotency-Replayed: true`. Reusing a key for a different request is refused.
  - maxLength 255

## Code samples

### cURL

```curl
curl --request POST \
  --url https://your-organisation.quirelms.com/api/v1/me/data_requests/string/withdraw \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://your-organisation.quirelms.com/api/v1/me/data_requests/string/withdraw';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://your-organisation.quirelms.com/api/v1/me/data_requests/string/withdraw"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success.

#### Example

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "kind": "string",
  "state": "string",
  "role": "string",
  "channel": "string",
  "subjectUserId": "string",
  "subjectName": "string",
  "subjectEmail": "string",
  "details": "string",
  "receivedAt": "string",
  "identityMethod": "string",
  "identityVerifiedAt": "string",
  "identityEvidenceRef": "string",
  "dueAt": "string",
  "extendedTo": "string",
  "extensionReason": "string",
  "executeNotBefore": "string",
  "requestedChanges": {
    "property1": "string",
    "property2": "string"
  },
  "outcome": "string",
  "outcomeReason": "string",
  "refusalCode": "string",
  "categoriesRetained": {
    "property1": "string",
    "property2": "string"
  },
  "outOfReach": [
    "string"
  ],
  "packageReady": true,
  "packageBytes": 0,
  "packageExpiresAt": "string",
  "closedAt": "string",
  "overdue": true,
  "daysRemaining": 0
}
```

- `withdrawMyDataRequest.response.200.id` (string, required)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$`
- `withdrawMyDataRequest.response.200.kind` (string, required)
- `withdrawMyDataRequest.response.200.state` (string, required)
- `withdrawMyDataRequest.response.200.role` (string, required)
- `withdrawMyDataRequest.response.200.channel` (string, required)
- `withdrawMyDataRequest.response.200.subjectUserId` (string | null, required)
- `withdrawMyDataRequest.response.200.subjectName` (string | null, required)
- `withdrawMyDataRequest.response.200.subjectEmail` (string | null, required)
- `withdrawMyDataRequest.response.200.details` (string | null, required)
- `withdrawMyDataRequest.response.200.receivedAt` (string, required)
- `withdrawMyDataRequest.response.200.identityMethod` (string | null, required)
- `withdrawMyDataRequest.response.200.identityVerifiedAt` (string | null, required)
- `withdrawMyDataRequest.response.200.identityEvidenceRef` (string | null, required)
- `withdrawMyDataRequest.response.200.dueAt` (string | null, required)
- `withdrawMyDataRequest.response.200.extendedTo` (string | null, required)
- `withdrawMyDataRequest.response.200.extensionReason` (string | null, required)
- `withdrawMyDataRequest.response.200.executeNotBefore` (string | null, required)
- `withdrawMyDataRequest.response.200.requestedChanges` (any of, required)
  - any of: `map<string>`, `null`
- `withdrawMyDataRequest.response.200.outcome` (string | null, required)
- `withdrawMyDataRequest.response.200.outcomeReason` (string | null, required)
- `withdrawMyDataRequest.response.200.refusalCode` (string | null, required)
- `withdrawMyDataRequest.response.200.categoriesRetained` (any of, required)
  - any of: `map<string>`, `null`
- `withdrawMyDataRequest.response.200.outOfReach` (array<string>, required)
- `withdrawMyDataRequest.response.200.packageReady` (boolean, required)
- `withdrawMyDataRequest.response.200.packageBytes` (number | null, required)
- `withdrawMyDataRequest.response.200.packageExpiresAt` (string | null, required)
- `withdrawMyDataRequest.response.200.closedAt` (string | null, required)
- `withdrawMyDataRequest.response.200.overdue` (boolean, required)
- `withdrawMyDataRequest.response.200.daysRemaining` (number | null, required)

### 401

The credential is missing, malformed, expired or revoked.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `withdrawMyDataRequest.response.401.type` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.401.title` (string, required)
- `withdrawMyDataRequest.response.401.status` (integer, required)
- `withdrawMyDataRequest.response.401.code` (string, required)
- `withdrawMyDataRequest.response.401.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `withdrawMyDataRequest.response.401.detail` (string, required)
- `withdrawMyDataRequest.response.401.request_id` (string, required)
- `withdrawMyDataRequest.response.401.docs_url` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.401.errors` (array<object>, optional)
  - `withdrawMyDataRequest.response.401.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `withdrawMyDataRequest.response.401.errors.code` (string, required)
  - `withdrawMyDataRequest.response.401.errors.detail` (string, required)
- `withdrawMyDataRequest.response.401.retry_after` (integer | null, optional)

### 403

The credential lacks the scope this operation requires, or the acting subject lacks the capability.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `withdrawMyDataRequest.response.403.type` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.403.title` (string, required)
- `withdrawMyDataRequest.response.403.status` (integer, required)
- `withdrawMyDataRequest.response.403.code` (string, required)
- `withdrawMyDataRequest.response.403.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `withdrawMyDataRequest.response.403.detail` (string, required)
- `withdrawMyDataRequest.response.403.request_id` (string, required)
- `withdrawMyDataRequest.response.403.docs_url` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.403.errors` (array<object>, optional)
  - `withdrawMyDataRequest.response.403.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `withdrawMyDataRequest.response.403.errors.code` (string, required)
  - `withdrawMyDataRequest.response.403.errors.detail` (string, required)
- `withdrawMyDataRequest.response.403.retry_after` (integer | null, optional)

### 404

No such resource, or none this credential is permitted to know about.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `withdrawMyDataRequest.response.404.type` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.404.title` (string, required)
- `withdrawMyDataRequest.response.404.status` (integer, required)
- `withdrawMyDataRequest.response.404.code` (string, required)
- `withdrawMyDataRequest.response.404.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `withdrawMyDataRequest.response.404.detail` (string, required)
- `withdrawMyDataRequest.response.404.request_id` (string, required)
- `withdrawMyDataRequest.response.404.docs_url` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.404.errors` (array<object>, optional)
  - `withdrawMyDataRequest.response.404.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `withdrawMyDataRequest.response.404.errors.code` (string, required)
  - `withdrawMyDataRequest.response.404.errors.detail` (string, required)
- `withdrawMyDataRequest.response.404.retry_after` (integer | null, optional)

### 409

The request conflicts with the current state, with a previous use of the same idempotency key, or with a concurrent write.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `withdrawMyDataRequest.response.409.type` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.409.title` (string, required)
- `withdrawMyDataRequest.response.409.status` (integer, required)
- `withdrawMyDataRequest.response.409.code` (string, required)
- `withdrawMyDataRequest.response.409.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `withdrawMyDataRequest.response.409.detail` (string, required)
- `withdrawMyDataRequest.response.409.request_id` (string, required)
- `withdrawMyDataRequest.response.409.docs_url` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.409.errors` (array<object>, optional)
  - `withdrawMyDataRequest.response.409.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `withdrawMyDataRequest.response.409.errors.code` (string, required)
  - `withdrawMyDataRequest.response.409.errors.detail` (string, required)
- `withdrawMyDataRequest.response.409.retry_after` (integer | null, optional)

### 422

The request was understood and its content is not valid. `errors` names each field.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `withdrawMyDataRequest.response.422.type` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.422.title` (string, required)
- `withdrawMyDataRequest.response.422.status` (integer, required)
- `withdrawMyDataRequest.response.422.code` (string, required)
- `withdrawMyDataRequest.response.422.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `withdrawMyDataRequest.response.422.detail` (string, required)
- `withdrawMyDataRequest.response.422.request_id` (string, required)
- `withdrawMyDataRequest.response.422.docs_url` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.422.errors` (array<object>, optional)
  - `withdrawMyDataRequest.response.422.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `withdrawMyDataRequest.response.422.errors.code` (string, required)
  - `withdrawMyDataRequest.response.422.errors.detail` (string, required)
- `withdrawMyDataRequest.response.422.retry_after` (integer | null, optional)

### 429

A rate limit or a concurrency cap was reached. `Retry-After` says when to try again.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `withdrawMyDataRequest.response.429.type` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.429.title` (string, required)
- `withdrawMyDataRequest.response.429.status` (integer, required)
- `withdrawMyDataRequest.response.429.code` (string, required)
- `withdrawMyDataRequest.response.429.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `withdrawMyDataRequest.response.429.detail` (string, required)
- `withdrawMyDataRequest.response.429.request_id` (string, required)
- `withdrawMyDataRequest.response.429.docs_url` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.429.errors` (array<object>, optional)
  - `withdrawMyDataRequest.response.429.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `withdrawMyDataRequest.response.429.errors.code` (string, required)
  - `withdrawMyDataRequest.response.429.errors.detail` (string, required)
- `withdrawMyDataRequest.response.429.retry_after` (integer | null, optional)

### 500

Something failed at our end. Quote `request_id` when reporting it.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `withdrawMyDataRequest.response.500.type` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.500.title` (string, required)
- `withdrawMyDataRequest.response.500.status` (integer, required)
- `withdrawMyDataRequest.response.500.code` (string, required)
- `withdrawMyDataRequest.response.500.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `withdrawMyDataRequest.response.500.detail` (string, required)
- `withdrawMyDataRequest.response.500.request_id` (string, required)
- `withdrawMyDataRequest.response.500.docs_url` (string, required)
  - format `uri`
- `withdrawMyDataRequest.response.500.errors` (array<object>, optional)
  - `withdrawMyDataRequest.response.500.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `withdrawMyDataRequest.response.500.errors.code` (string, required)
  - `withdrawMyDataRequest.response.500.errors.detail` (string, required)
- `withdrawMyDataRequest.response.500.retry_after` (integer | null, optional)


Source: https://docs.quirelms.com/api/me/withdrawMyDataRequest/index.md
